# ===================================
#  Field Definitions
# ===================================

tabs:
    fields:

        _traffic_stats_hint:
            comment: The Internal Traffic Statistics feature logs pageviews, IP addresses, and other basic anonymous user data into the database.
            type: hint
            tab: Traffic Statistics

        traffic_stats_enabled:
            label: Internal Traffic Statistics
            comment: Internal Traffic Statistics logs pageviews, IP addresses, and other basic anonymous user data into the database and provides reports for the dashboard. When the feature is disabled, the data is not written to the database.
            tab: Traffic Statistics
            type: switch

        traffic_stats_timezone:
            label: Timezone
            type: dropdown
            comment: Timezone to log pageviews in. Changing the timezone won't update the existing data. If you change the timezone without erasing the existing data, reports can potentially display incorrect times for previously logged days.
            tab: Traffic Statistics
            span: auto

        traffic_stats_retention:
            label: Retention Period (Months)
            comment: Determines the duration for which traffic statistics data should be stored in the database. When the set period expires, the corresponding data is automatically purged from the database. Set to 0 or empty to retain records forever.
            tab: Traffic Statistics
            type: number
            span: auto

        filter_exclude_bots:
            label: Exclude Bots
            tab: Data Filters
            comment: Automatically ignores known bots using the detection library.
            type: switch

        filter_exclude_roles:
            label: Exclude Administrator Roles
            commentAbove: Ignores traffic from selected roles.
            tab: Data Filters
            type: taglist
            options: true
            useKey: true

        # filter_exclude_ips:
        #     label: Exclude IP Addresses
        #     commentAbove: Requests from these addresses will be ignored in statistics.
        #     tooltip: "Supports IPv4, IPv6, and CIDR notation (e.g. `192.168.0.0/24`)."
        #     tab: Data Filters
        #     span: auto
        #     type: datatable
        #     columns:
        #         ip_address:
        #             title: IP / CIDR

        # filter_exclude_paths:
        #     label: Exclude Paths
        #     commentAbove: Enter one path or pattern per row to ignore matching URLs.
        #     tooltip: "Supports wildcards (`*`) and regular expressions (`^/admin.*`). For example: `/admin*`, `/backend*`."
        #     tab: Data Filters
        #     span: auto
        #     type: datatable
        #     columns:
        #         ip_address:
        #             title: URI
